import { ObjectId } from "mongodb";

export type Id = ObjectId;

export function createId(): Id {
	return new ObjectId();
}

export function isId(target: unknown): target is Id {
	return target instanceof ObjectId;
}
